import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
import { useFocused } from 'slate-react';

const RichTextContainer = ({
  children
}) => {
  const focused = useFocused();
  return /*#__PURE__*/React.createElement("div", {
    className: cx('rich-text', {
      'rich-text--is-active': focused
    })
  }, children);
};

RichTextContainer.propTypes = {
  children: PropTypes.node.isRequired
};
export default RichTextContainer;